Bug 895873 - BPEL database is created in wrong directory if server path contains space
Summary: BPEL database is created in wrong directory if server path contains space
Keywords:
Status: NEW
Alias: None
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: Configuration, riftsaw
Version: 5.3.0 GA
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: ---
Assignee: Nobody
QA Contact: Jiri Pechanec
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-16 07:47 UTC by Jiri Pechanec
Modified: 2020-04-27 01:33 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat One Jira Issue Tracker RIFTSAW-517 Major Resolved H2Database needs to be updated to work with directories containing spaces 2016-09-27 14:22:38 UTC

Description Jiri Pechanec 2013-01-16 07:47:21 UTC
When SOA-P is installed into directory that contains space, like "JBoss SOA" a new directory is created named "JBoss%20SOA" on the same. This directory contains a data directory wih BPEL H2 database data files, like

JBoss%20SOA/jboss-as/server/default/data/h2/BPELDB.h2.db

But the same file is created even in regular data directory. It seems that under this condition the database is created twice from two different points.

I'd say that these lines explains it
2013-01-16 08:34:57,712 INFO  [org.jboss.soa.bpel.runtime.db.H2Database] (main) jdbc:h2:file:/home/jpechane/releases/531%20ER3/jboss-as/server/default/data/h2/BPELDB;MVCC=true;LOCK_MODE=3;LOG=1;DB_CLOSE_ON_EXIT=FALSE
.
.
.
2013-01-16 08:35:07,097 INFO  [org.jboss.resource.deployers.RARDeployment] (main) Required license terms exist, view vfsfile:/home/jpechane/releases/531%20ER3/jboss-as/server/default/deploy/jboss-local-jdbc.rar/META-INF/ra.xml
2013-01-16 08:35:07,136 INFO  [org.jboss.resource.connectionmanager.ConnectionFactoryBindingService] (main) Bound ConnectionManager 'jboss.jca:service=DataSourceBinding,name=BPELDB' to JNDI name 'java:BPELDB'
2013-01-16 08:35:07,139 INFO  [org.jboss.resource.connectionmanager.ConnectionFactoryBindingService] (main) Bound ConnectionManager 'jboss.jca:service=DataSourceBinding,name=juddiDB' to JNDI name 'java:juddiDB'
2013-01-16 08:35:07,206 INFO  [org.jboss.internal.soa.esb.dependencies.DatabaseInitializer] (main) Initializing java:/juddiDB from listed sql files
2013-01-16 08:35:07,412 INFO  [org.jboss.soa.bpel.runtime.db.DatabaseInitializer] (main) Initializing java:/BPELDB from listed sql files

Comment 1 kconner 2013-01-16 14:08:45 UTC
This was reported through RIFTSAW-517


Note You need to log in before you can comment on or make changes to this bug.